SourceManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.db.managers
Class SourceManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.SourceManager

    public class SourceManager

extends java.lang.Object

Constructor Summary
`SourceManager()`

Method Summary
`static void` | `checkTables()`
`static void` | `deleteSource(int id, boolean deleteTable)`
`static Resource` | `getById(int id)`
`static int` | `getDefaultId(ResourceType type)`
`static java.lang.String` | `getJsonList(java.util.List<Field> filter, PagedRequestSettings settings)`
`static java.util.Set<Resource>` | `getList(java.util.List<Field> filter)`
`static java.lang.String` | `getMaxMinTable(Resource Hspen)`
`static java.lang.String` | `getSourceName(int id)`
`static java.lang.String` | `getSourceTitle(int id)`
`static java.lang.String` | `getToUseTableStore()`
`static java.lang.Integer` | `importFromCSVFile(java.lang.String csvFile, ImportResourceRequestType request)`
`static Resource` | `registerSource(Resource toRegister)`
`static void` | `setCountRow(int id, java.lang.Long count)`
`static void` | `setTableTitle(int id, java.lang.String tableTitle)`
`static int` | `update(Resource toUpdate)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceManager

    public SourceManager()

Method Detail

### getDefaultId

    public static int getDefaultId(ResourceType type)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### registerSource

    public static Resource registerSource(Resource toRegister)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deleteSource

    public static void deleteSource(int id,
                                    boolean deleteTable)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSourceName

    public static java.lang.String getSourceName(int id)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSourceTitle

    public static java.lang.String getSourceTitle(int id)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setTableTitle

    public static void setTableTitle(int id,
                                     java.lang.String tableTitle)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setCountRow

    public static void setCountRow(int id,
                                   java.lang.Long count)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getList

    public static java.util.Set<Resource> getList(java.util.List<Field> filter)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJsonList

    public static java.lang.String getJsonList(java.util.List<Field> filter,
                                               PagedRequestSettings settings)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getById

    public static Resource getById(int id)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### update

    public static int update(Resource toUpdate)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### importFromCSVFile

    public static java.lang.Integer importFromCSVFile(java.lang.String csvFile,
                                                      ImportResourceRequestType request)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkTables

    public static void checkTables()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getToUseTableStore

    public static final java.lang.String getToUseTableStore()
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMaxMinTable

    public static final java.lang.String getMaxMinTable(Resource Hspen)
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD